Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## archive.system
Class OfferManager

    java.lang.Object
      archive.system.OfferManager

All Implemented Interfaces:
  GestioneOfferta

    public class OfferManager

extends java.lang.Object
implements GestioneOfferta

Una classe per la gestione dell'offerta, la modifica del archivio (pacchetti/voli) o per esporta tutte le prenotazioni. Implementa l'interfaccia `GestioneOfferta`.

Constructor Summary
`OfferManager(java.lang.Boolean ispacchetto)`

Method Summary
`boolean` | `exportPrenotation(java.lang.String nome)` Implementa il metodo dell'interfaccia `GestioneOfferta` Esporta le prenotazioni
`boolean` | `modArchive(java.lang.String sigla)` Implementa il metodo dell'interfaccia `GestioneOfferta` Chiama il metodo `modVolo()`
`boolean` | `modArchive(java.lang.String nome, int numWeek, java.lang.String mod)` Implementa il metodo dell'interfaccia `GestioneOfferta` Chiama il metodo `modPackage()`
`boolean` | `movePrenotation(java.lang.String nomeExVillaggio, java.lang.String nomeVillaggio, int numWeek, boolean move, char tipo)` Sposta la prenotazione in un altro villaggio
`java.lang.String[]` | `showList()` Mostra lista attinente

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OfferManager

    public OfferManager(java.lang.Boolean ispacchetto)

Method Detail

### movePrenotation

    public boolean movePrenotation(java.lang.String nomeExVillaggio,
                                   java.lang.String nomeVillaggio,
                                   int numWeek,
                                   boolean move,
                                   char tipo)

  Sposta la prenotazione in un altro villaggio

  Parameters:
    `nomeExVillaggio` - villaggio attuale
    `nomeVillaggio` - villaggio di destinazione
    `numWeek` - numero della settimana
    `move` - true se effettuare lo spostamento
    `tipo` - tipo di stanza
  Returns:
    true se spostata con successo

### modArchive

    public boolean modArchive(java.lang.String nome,
                              int numWeek,
                              java.lang.String mod)
                       throws DoubleRoomFullException,
                              SingleRoomFullException

  Implementa il metodo dell'interfaccia `GestioneOfferta` Chiama il metodo `modPackage()`

  Specified by:
    `modArchive` in interface `GestioneOfferta`
  Parameters:
    `nome` - del villaggio
    `numWeek` - numero della settimana
    `mod` - e' una Stringa rappresentante la modifica (?;XXX): D(numDoppie)-X(PrezzoD)-S(numSuite)-Y(PrezzoS)-C(sequenza) ; String mod
  Returns:
    true se la modifica e' stata effettuata con successo
  Throws:
    `DoubleRoomFullException` - se le stanze doppie non sono disponibili
    `SingleRoomFullException` - se le stanze singole non sono disponibili

### modArchive

    public boolean modArchive(java.lang.String sigla)
                       throws AlternativeFlightException

  Implementa il metodo dell'interfaccia `GestioneOfferta` Chiama il metodo `modVolo()`

  Specified by:
    `modArchive` in interface `GestioneOfferta`
  Parameters:
    `sigla` - sigla del volo
  Returns:
    se confermato
  Throws:
    `AlternativeFlightException` - esistono prenotazioni per questo volo

### exportPrenotation

    public boolean exportPrenotation(java.lang.String nome)
                              throws java.io.FileNotFoundException

  Implementa il metodo dell'interfaccia `GestioneOfferta` Esporta le prenotazioni

  Specified by:
    `exportPrenotation` in interface `GestioneOfferta`
  Parameters:
    `nome` - nome del file
  Returns:
    true se effettuato con successo
  Throws:
    `java.io.FileNotFoundException` - se non ha creato il file con successo

### showList

    public java.lang.String[] showList()

  Mostra lista attinente

  Specified by:
    `showList` in interface `GestioneOfferta`
  Returns:
    un array di villaggi o voli

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD